
#property indicator_chart_window
#property indicator_buffers 2

#property indicator_color1 ForestGreen
#property indicator_color2 Red

#property indicator_width1 2
#property indicator_width2 2


extern double stopl=30;

//---- buffers
double CA1[];
double CA2[];

double v1, v2, v3;

//+------------------------------------------------------------------+
//| Custom indicator initialization function |
//+------------------------------------------------------------------+
int init()
{
//---- indicators
/*
SetIndexStyle(0,DRAW_ARROW);
SetIndexStyle(1,DRAW_ARROW);
*/
SetIndexStyle(0,DRAW_LINE);
SetIndexStyle(1,DRAW_LINE);

SetIndexBuffer(0,CA1);
SetIndexBuffer(1,CA2);
SetIndexArrow( 0, 251);
SetIndexArrow( 1, 251);

//----
return(0);
}
//+------------------------------------------------------------------+
//| Custom indicator iteration function |
//+------------------------------------------------------------------+
int start() {


    int counted_bars = IndicatorCounted();
    if (counted_bars < 0) return(-1);
    if (counted_bars > 0) counted_bars--;

    int i, limit;
    limit=Bars - counted_bars-1;

    limit = 1000;
    v1 = 0;
    v2 = 0;

    for(i=limit;i>=0;i--) {
        if ( Close[i] > Open[i] ) ///bar vverh
        {
            v3=v1;
            v1=Open[i] - stopl*Point; 
        }

        else if ( Close[i] < Open[i] ) ///bar vniz
        {
            v2=stopl*Point + Open[i];
        }
        else { //   if ( Close[i] == Open[i] )
            v1=CA1[i+1]; v2=CA2[i+1];
        }

        if(v1 < v3)
            v1=v3;

        CA1[i]=v1;
        CA2[i]=v2;
    }
    return(0);
}